package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 拼团活动表 
 * </p>
 *
 * @author jobob
 * @since 2019-10-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaShareActivity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 活动id
     */
    @TableId(value = "group_acticity_id", type = IdType.AUTO)
    private Integer groupActicityId;

    /**
     * 项目id
     */
    private String buildingId;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 活动标题
     */
    private String activityName;

    /**
     * 活动主图
     */
    private String mainImg;

    /**
     * 活动开始时间
     */
    private LocalDateTime startTime;

    /**
     * 活动结束时间
     */
    private LocalDateTime endTime;

    /**
     * 成团人数
     */
    private Integer groupBuyPeople;

    /**
     * 参与人数
     */
    private Integer joinPeople;

    /**
     * 所需积分
     */
    private Integer integral;

    /**
     * 活动说明图
     */
    private String descImg;

    /**
     * 分享id
     */
    private String shareId;

    /**
     * 海报id
     */
    private String posterId;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 活动状态
     */
    private Integer activityStatus;

    /**
     * 首页推荐
     */
    private Boolean sort;

    /**
     * 置顶
     */
    private Integer weight;
    
    /**
     * Initiate 发起者  Booster 助力者
     */
    @TableField(exist = false)
    private String groupStatus;

    /**
     * 用户平均积分
     */
    @TableField(exist = false)
    private Integer averageScore;
}
